## Class Auth_OpenID_SRegRequest

Description

An object to hold the state of a simple registration request.

required: A list of the required fields in this simple registration request

optional: A list of the optional fields in this simple registration request

Located in /Auth/OpenID/SReg.php (line 169)

    Auth_OpenID_Extension
       |
       --Auth_OpenID_SRegBase
          |
          --Auth_OpenID_SRegRequest

Variable Summary
mixed $ns_alias
Method Summary
void allRequestedFields ()
void build ([ $required = null], [ $optional = null], [ $policy_url = null], [ $sreg_ns_uri = Auth_OpenID_SREG_NS_URI], [ $cls = 'Auth_OpenID_SRegRequest'])
void contains ( $field_name)
void fromOpenIDRequest ( $request, [ $cls = 'Auth_OpenID_SRegRequest'])
void getExtensionArgs ()
void parseExtensionArgs ( $args, [ $strict = false])
void requestField ( $field_name, [ $required = false], [ $strict = false])
void requestFields ( $field_names, [ $required = false], [ $strict = false])
void wereFieldsRequested ()
Variables
mixed $ns_alias = 'sreg' (line 171)

Redefinition of:

Auth_OpenID_Extension::$ns_alias

#### Inherited Variables

Inherited from Auth_OpenID_Extension

> Auth_OpenID_Extension::$ns_uri

Methods
allRequestedFields (line 287)

A list of all of the simple registration fields that were requested, whether they were required or optional.

void allRequestedFields ()
build (line 176)

Initialize an empty simple registration request.

void build ([ $required = null], [ $optional = null], [ $policy_url = null], [ $sreg_ns_uri = Auth_OpenID_SREG_NS_URI], [ $cls = 'Auth_OpenID_SRegRequest'])

- $required
- $optional
- $policy_url
- $sreg_ns_uri
- $cls

contains (line 303)

Was this field in the request?

void contains ( $field_name)

- $field_name

fromOpenIDRequest (line 216)

Create a simple registration request that contains the fields that were requested in the OpenID request with the given arguments

$request: The OpenID authentication request from which to extract an sreg request.

$cls: name of class to use when creating sreg request object. Used for testing.

Returns the newly created simple registration request

void fromOpenIDRequest ( $request, [ $cls = 'Auth_OpenID_SRegRequest'])

- $request
- $cls

getExtensionArgs (line 389)

Get a dictionary of unqualified simple registration arguments representing this request.

This method is essentially the inverse of C{L{parseExtensionArgs}}. This method serializes the simple registration request fields.

void getExtensionArgs ()

Redefinition of:

Auth_OpenID_Extension::getExtensionArgs()
  Get the string arguments that should be added to an OpenID message for this extension.

parseExtensionArgs (line 262)

Parse the unqualified simple registration request parameters and add them to this object.

This method is essentially the inverse of getExtensionArgs. This method restores the serialized simple registration request fields.

If you are extracting arguments from a standard OpenID checkid_* request, you probably want to use fromOpenIDRequest, which will extract the sreg namespace and arguments from the OpenID request. This method is intended for cases where the OpenID server needs more control over how the arguments are parsed than that method provides.

$args == $message->getArgs($ns_uri); $request->parseExtensionArgs($args);

$args: The unqualified simple registration arguments

strict: Whether requests with fields that are not defined in the simple registration specification should be tolerated (and ignored)

void parseExtensionArgs ( $args, [ $strict = false])

- $args
- $strict

requestField (line 320)

Request the specified field from the OpenID user

$field_name: the unqualified simple registration field name

required: whether the given field should be presented to the user as being a required to successfully complete the request

strict: whether to raise an exception when a field is added to a request more than once

void requestField ( $field_name, [ $required = false], [ $strict = false])

- $field_name
- $required
- $strict

requestFields (line 366)

Add the given list of fields to the request

field_names: The simple registration data fields to request

required: Whether these values should be presented to the user as required

strict: whether to raise an exception when a field is added to a request more than once

void requestFields ( $field_names, [ $required = false], [ $strict = false])

- $field_names
- $required
- $strict

wereFieldsRequested (line 295)

Have any simple registration fields been requested?

void wereFieldsRequested ()

#### Inherited Methods

Inherited From Auth_OpenID_Extension

> Auth_OpenID_Extension::getExtensionArgs()
> Auth_OpenID_Extension::toMessage()

Documentation generated on Tue, 21 Apr 2009 11:31:33 -0700 by phpDocumentor 1.3.2